/*************************************************************************
*
*  File Name   : STY_HELP.H
*
*  Description : This header file contains the identifiers for the constants
*                used by the help manager.
*
*  Copyright (C) 1992 IBM Corporation
*
*      DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
*      sample code created by IBM Corporation. This sample code is not
*      part of any standard or IBM product and is provided to you solely
*      for  the purpose of assisting you in the development of your
*      applications.  The code is provided "AS IS", without
*      warranty of any kind.  IBM shall not be liable for any damages
*      arising out of your use of the sample code, even if they have been
*      advised of the possibility of such damages.                                                    *
*
************************************************************************/

/*--------------------------------------------------------------*\
 *  Help table and subtables
\*--------------------------------------------------------------*/
#define STYLE_HELP_TABLE                    1000

#define SUBTABLE_MAIN                       2000
#define SUBTABLE_DEMOMSGBOX                 3000
#define SUBTABLE_BUTTONSDLG                 4000
#define SUBTABLE_LISTBOXDLG                 5000
#define SUBTABLE_COMBOBOXDLG                6000
#define SUBTABLE_ENTRYFIELDDLG              7000
#define SUBTABLE_STATICDLG                  8000
#define SUBTABLE_PPDEMODLG                  9000
#define SUBTABLE_ABOUTBOX                  10000
#define SUBTABLE_CONTAINERDLG              11000
#define SUBTABLE_NOTEBOOKDLG               12000
#define SUBTABLE_SLIDERDLG                 13000
#define SUBTABLE_VALUESETDLG               14000
#define SUBTABLE_SPINBUTTONDLG             15000


/*--------------------------------------------------------------*\
 *  Main window help panels
\*--------------------------------------------------------------*/
#define PANEL_MAIN                          2100
#define PANEL_DEMOMSGBOX                    3100
#define PANEL_BUTTONSDLG                    4100
#define PANEL_LISTBOXDLG                    5100
#define PANEL_COMBOBOXDLG                   6100
#define PANEL_ENTRYFIELDDLG                 7100
#define PANEL_STATICDLG                     8100
#define PANEL_PPDEMODLG                     9100
#define PANEL_ABOUTBOX                     10100
#define PANEL_CONTAINERDLG                 11100
#define PANEL_NOTEBOOKDLG                  12100
#define PANEL_SLIDERDLG                    13100
#define PANEL_VALUESETDLG                  14100
#define PANEL_SPINBUTTONDLG                15100
#define PANEL_UNKNOWNDLG                   20100


/*--------------------------------------------------------------*\
 *  Main menu help panels
\*--------------------------------------------------------------*/
#define PANEL_FILE                          2210
#define PANEL_FILENEW                       2220
#define PANEL_FILEOPEN                      2230
#define PANEL_FILESAVE                      2240
#define PANEL_FILESAVEAS                    2250
#define PANEL_FILEPRINT                     2260
#define PANEL_FILEPAGESETUP                 2270
#define PANEL_FILEPRINTSETUP                2280
#define PANEL_FILEEXIT                      2290

#define PANEL_EDIT                          2310
#define PANEL_EDITUNDO                      2320
#define PANEL_EDITCUT                       2330
#define PANEL_EDITCOPY                      2340
#define PANEL_EDITPASTE                     2350
#define PANEL_EDITCLEAR                     2360

#define PANEL_OPTIONS                       2410
#define PANEL_OPTIONSFORECOLOR              2420
#define PANEL_OPTIONSBACKCOLOR              2430
#define PANEL_OPTIONSBACKCOLORYELLOW        2431
#define PANEL_OPTIONSBACKCOLORPINK          2432
#define PANEL_OPTIONSBACKCOLORCYAN          2433
#define PANEL_OPTIONSBACKCOLORDEFAULT       2434
#define PANEL_OPTIONSFONT                   2440

#define PANEL_DEMO                          2510
#define PANEL_DEMODLG                       2520
#define PANEL_DEMODLGBUTTONS                2521
#define PANEL_DEMODLGLISTBOXES              2522
#define PANEL_DEMODLGCOMBOBOXES             2523
#define PANEL_DEMODLGENTRYFIELDS            2524
#define PANEL_DEMODLGSTATIC                 2525
#define PANEL_DEMODLGPP                     2526
#define PANEL_DEMODLGCONTAINER              2527
#define PANEL_DEMODLGNOTEBOOK               2528
#define PANEL_DEMODLGSLIDER                 2529
#define PANEL_DEMODLGVALUESET               2560
#define PANEL_DEMODLGSPINBUTTON             2561
#define PANEL_DEMOMB                        2530
#define PANEL_DEMOMBOK                      2531
#define PANEL_DEMOMBOKCANCEL                2532
#define PANEL_DEMOMBYESNO                   2533
#define PANEL_DEMOMBYESNOCANCEL             2534
#define PANEL_DEMOMBRETRY                   2535
#define PANEL_DEMOMBABORT                   2536
#define PANEL_DEMOMBENTER                   2537
#define PANEL_DEMOMBENTERCANCEL             2538

#define PANEL_DEMOMBQUERY                   2541
#define PANEL_DEMOMBWARNING                 2542
#define PANEL_DEMOMBINFORMATION             2543
#define PANEL_DEMOMBCRITICAL                2544

#define PANEL_DEMOMBAPPMODAL                2551
#define PANEL_DEMOMBSYSMODAL                2552
#define PANEL_DEMOMBMOVEABLE                2553
#define PANEL_DEMOMBHELP                    2554

#define PANEL_HELP                          2910
#define PANEL_HELPHELPFORHELP               2920
#define PANEL_HELPEXTENDED                  2930
#define PANEL_HELPKEYS                      2940
#define PANEL_HELPINDEX                     2950
#define PANEL_HELPABOUT                     2960


/*--------------------------------------------------------------*\
 *  Demo message box dialog help subtable
\*--------------------------------------------------------------*/
#define PANEL_DEMOMSGBOX_OK                 3110
#define PANEL_DEMOMSGBOX_HELP               3120

/*--------------------------------------------------------------*\
 *  Buttons demo dlg help subtable
\*--------------------------------------------------------------*/
#define PANEL_BUTTONSDLG_RADIO              4110
#define PANEL_BUTTONSDLG_CHECKBOX           4120
#define PANEL_BUTTONSDLG_THREESTATE         4130
#define PANEL_BUTTONSDLG_PUSHBUTTON         4140
#define PANEL_BUTTONSDLG_OK                 4150
#define PANEL_BUTTONSDLG_HELP               4160
#define PANEL_BUTTONSDLG_CANCEL             4170

/*--------------------------------------------------------------*\
 *  Listbox demo dlg help subtable
\*--------------------------------------------------------------*/
#define PANEL_LISTBOXDLG_SINGLE             5110
#define PANEL_LISTBOXDLG_MULTIPLE           5120
#define PANEL_LISTBOXDLG_OK                 5130
#define PANEL_LISTBOXDLG_HELP               5140
#define PANEL_LISTBOXDLG_CANCEL             5150

/*--------------------------------------------------------------*\
 *  Combobox demo dlg help subtable
\*--------------------------------------------------------------*/
#define PANEL_COMBOBOXDLG_SIMPLE            6110
#define PANEL_COMBOBOXDLG_DROPDOWN          6120
#define PANEL_COMBOBOXDLG_DROPDOWNLIST      6130
#define PANEL_COMBOBOXDLG_OK                6140
#define PANEL_COMBOBOXDLG_HELP              6150
#define PANEL_COMBOBOXDLG_CANCEL            6160

/*--------------------------------------------------------------*\
 *  Entry Field demo dlg help subtable
\*--------------------------------------------------------------*/
#define PANEL_ENTRYFIELDDLG_ENTRY           7110
#define PANEL_ENTRYFIELDDLG_MLE             7120
#define PANEL_ENTRYFIELDDLG_OK              7130
#define PANEL_ENTRYFIELDDLG_HELP            7140
#define PANEL_ENTRYFIELDDLG_CANCEL          7150

/*--------------------------------------------------------------*\
 *  Static demo dialog help subtable
\*--------------------------------------------------------------*/
#define PANEL_STATICDLG_OK                  8110
#define PANEL_STATICDLG_HELP                8120
#define PANEL_STATICDLG_CANCEL              8130


/*--------------------------------------------------------------*\
 *  Presentation Parameters demo dlg help subtable
\*--------------------------------------------------------------*/
#define PANEL_PPDEMODLG_FORECOLORLIST       9110
#define PANEL_PPDEMODLG_BACKCOLORLIST       9120
#define PANEL_PPDEMODLG_FONTLIST            9130
#define PANEL_PPDEMODLG_TESTBUTTON          9140
#define PANEL_PPDEMODLG_APPLY               9150
#define PANEL_PPDEMODLG_CANCEL              9160
#define PANEL_PPDEMODLG_HELP                9170

/*--------------------------------------------------------------*\
 *  About box dialog help subtable
\*--------------------------------------------------------------*/
#define PANEL_ABOUTBOX_OK                  10110

/*--------------------------------------------------------------*\
 *  Container demo dlg help subtable
\*--------------------------------------------------------------*/
#define PANEL_CONTAINERDLG_CONTAINER       11110
#define PANEL_CONTAINERDLG_OK              11120
#define PANEL_CONTAINERDLG_CANCEL          11130
#define PANEL_CONTAINERDLG_HELP            11140

/*--------------------------------------------------------------*\
 *  NOTEBOOK demo dlg help subtable
\*--------------------------------------------------------------*/
#define PANEL_NOTEBOOKDLG_NOTEBOOK         12110
#define PANEL_NOTEBOOKDLG_OK               12120
#define PANEL_NOTEBOOKDLG_CANCEL           12130
#define PANEL_NOTEBOOKDLG_HELP             12140

/*--------------------------------------------------------------*\
 *  SLIDER demo dlg help subtable
\*--------------------------------------------------------------*/
#define PANEL_SLIDERDLG_VSLIDER            13110
#define PANEL_SLIDERDLG_HSLIDER            13120
#define PANEL_SLIDERDLG_OK                 13130
#define PANEL_SLIDERDLG_CANCEL             12140
#define PANEL_SLIDERDLG_HELP               13150

/*--------------------------------------------------------------*\
 *  VALUESET demo dlg help subtable
\*--------------------------------------------------------------*/
#define PANEL_VALUESETDLG_VALUESET         14110
#define PANEL_VALUESETDLG_OK               14120
#define PANEL_VALUESETDLG_CANCEL           14130
#define PANEL_VALUESETDLG_HELP             14140

/*--------------------------------------------------------------*\
 *  SPIN BUTTON demo dlg help subtable
\*--------------------------------------------------------------*/
#define PANEL_SPINBUTTONDLG_MASTER         15110
#define PANEL_SPINBUTTONDLG_SERVANT        15120
#define PANEL_SPINBUTTONDLG_OK             15130
#define PANEL_SPINBUTTONDLG_CANCEL         15150
#define PANEL_SPINBUTTONDLG_HELP           15140

/*--------------------------------------------------------------*\
 *  Panel for the unknown dialog item
\*--------------------------------------------------------------*/
#define PANEL_UNKNOWN                      20110

